import { Meta, Story, Props, Preview } from '@storybook/addon-docs/blocks'
import { PropsTable } from '@storybook/components'
import { Settings } from '.'
import { Box } from 'rebass'
import { useGetEditProfilePropsAdmin } from 'ui/mock/settings'
import { MainHeader } from 'ui/modules/MainHeader'
import { getMainHeaderProps } from 'ui/mock/mainHeader'
import { WithoutSidebar } from 'ui/templates/withoutSidebar'
import { useGetSidebarProps } from 'ui/mock/sidebar'

<Meta title="Pages|Settings - Admin" component={Settings} />

# Settings

Let's define a story for the `Settings` page - Admin user

- **[Story](#story)**
- **[Building blocks](#modules)**
- **[Props](#props)**

<div id="story">Story</div>

<Preview>
  <Story name="Settings page - Admin user">
    <WithoutSidebar
      SearchBox={<h1>test</h1>}
      HeaderBox={<MainHeader {...getMainHeaderProps()} />}
      SidebarBox={<Sidebar {...useGetSidebarProps()} />}
      userImage={'string'}
      homeLink={'/'}
      userLink={'/'}
      username={'test'}
      name={'test'}
      signout={() => console.log('test')}
    >
      <Settings {...useGetEditProfilePropsAdmin()} />
    </WithoutSidebar>
  </Story>
</Preview>

<div id="modules">Building blocks</div>- **[Guest](#)** - **[ContainerForm, Actions](#)** -
**[Button](#)**

<div id="props">Props</div>

<Props of={Settings} />
